Skip to main content
PUT
Update Collection

Authorizations

X-Authorization
string
header
required

API Scope: "Collections (write)"

Path Parameters

id
integer
required

The unique identifier for the collection, created by Loop.

Example:

23141001200513

Body

application/json
sales_channel
string
required

If a channel with this name is not already associated with the shop, it will be used to create a new channel.

Maximum string length: 255
Example:

"shopify"

name
string
required

The name of the collection.

Maximum string length: 255
Example:

"Footwear"

external_id
string | null

The identifier used by an external source to identify the collection.

Maximum string length: 100
Example:

"1263csss-12uhsdfh-2138dja"

products
(integer | object)[] | null

An array of products to add to the collection.

A product to add to the collection, provided either as a plain integer global identifier or as an object with a global_id.

Response

Success

collection
object
required